Need a MVC 4 standard Project linked to source instead of release version to fix a bug.

Topics: ASP.NET MVC, ASP.NET Single Page Application, General
Aug 9, 2012 at 9:39 PM
Edited Aug 9, 2012 at 9:42 PM

Hi,

I need to fix the Issue #297. It's blocking to finish my MVC4 Framework.

I Installed Git,

I downloaded source and compile solution successfully.

I created a ASP.net MVC4 basic project.

I replaced References to solution project but it doesn't work. Compatibility problems :

[A]System.Web.WebPages.Razor.Configuration.HostSection ne peut pas être converti en [B]System.Web.WebPages.Razor.Configuration.HostSection. Le type A provient de 'System.Web.WebPages.Razor, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35' dans le contexte 'Default' à l'emplacement 'C:\Windows\Microsoft.Net\assembly\GAC_MSIL\System.Web.WebPages.Razor\v4.0_2.0.0.0__31bf3856ad364e35\System.Web.WebPages.Razor.dll'. Le type B provient de 'System.Web.WebPages.Razor, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35' dans le contexte 'Default' à l'emplacement 'C:\Windows\Microsoft.NET\Framework\v4.0.30319\Temporary ASP.NET Files\root\e8bb00b1\a4b0832a\assembly\dl3\ac38cde6\740d7c4e_7176cd01\System.Web.WebPages.Razor.DLL'.

Do you have a Basic MVC4 Project already linked to MVC Sources ?

Thanks for your help,

Best regards


Laurent Jordi

http://framework.innovacall.net

http://innovacallframework.codeplex.com

Aug 9, 2012 at 11:52 PM

Could you try replacing all references to "System.Web.WebPages.* Version=2.0.0.0 ..." in your test project's web.config files (both the root one and the one in the Views subfolder)? I think that should address this error.

Aug 10, 2012 at 12:08 AM
marcind wrote:

Could you try replacing all references to "System.Web.WebPages.* Version=2.0.0.0 ..." in your test project's web.config files (both the root one and the one in the Views subfolder)? I think that should address this error.

Meant to say: replace those references with the equivalent assembly identity that has version 3.0.0.0 (if the original version was 2.0.0.0) or 5.0.0.0 (if the original version was 4.0.0.0)